library(ggplot2)
library(tidyr)
library(scales)
#faili sisselugemine ja andmete formaadi korrigeerimine
J418=read.csv2("PT4-T4.1-J4.1.8.csv",header=TRUE, encoding ="UTF-8")
names(J418)=gsub("X", " ", names(J418))
names(J418)=gsub("\\.", "-", names(J418))
J418=pivot_longer(J418,2:4)
J418$value=as.numeric(J418$value)


#joonis
ggplot(J418)+
  geom_col(aes(x=name,y=value,fill=Sünnikohort), pos=position_dodge(0.8),width=0.7)+
  theme_minimal()+
  facet_grid(~Sugu)+
  scale_fill_manual(values=c("#81DBFE","#6666cc","#f09d00","#bf6900"))+
  theme(text = element_text(color="#668080"),axis.text=element_text(color="#668080"))+
  theme(strip.text.x=element_text(color="#668080"))+
  xlab("")+
  ylab("%")
  #theme(legend.title = element_blank())







